package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileSwitchPortModel;

import java.util.List;

/**
 * 交换机端口
 */
public interface LogicSwitchPortProvider extends SuperProvider {
    public BocloudResult<List<AgileSwitchPortModel>> list();

    BocloudResult<AgileSwitchPortModel> create(AgileSwitchPortModel model);

    BocloudResult<?> remove(String portUuid);

    BocloudResult<AgileSwitchPortModel> modify(AgileSwitchPortModel model);

    BocloudResult<AgileSwitchPortModel> detail(String portUuid);
}
